Skip to main content
GET
ClickStack: List Webhooks
Beta This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.

ClickStack: Retrieves webhooks for the authenticated team (paginated). Results are capped at limit (default and maximum 1000). When totalCount exceeds the number of returned items, page with limit/offset to retrieve them all.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the service.

serviceId
string<uuid>
required

ID of the ClickStack service.

Query Parameters

limit
integer
default:1000

Maximum number of results to return.

Required range: 1 <= x <= 1000
offset
integer
default:0

Number of results to skip before returning.

Required range: x >= 0

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object[]
Last modified on August 5, 2026